namespace C969Project;

public partial class DashboardForm : Form
{
    private RecordsForm _recordsForm;
    private AppointmentsForm _appointmentsForm;
    
    public DashboardForm()
    {
        InitializeComponent();
        
        _recordsForm = new RecordsForm();
        _appointmentsForm = new AppointmentsForm();
        
        CustomersButton.Click += (sender, args) =>
        {
            _recordsForm.ShowDialog();
            _recordsForm.UpdateCustomersList(null, EventArgs.Empty);
        };

        AppointmentsButton.Click += (sender, args) =>
        {
            _appointmentsForm.ShowDialog();
        };


    }
}